### Method

# AppStream ContentRating add_attribute

since: 0.14.0

#### Declaration [src]

    void
    as_content_rating_add_attribute (
      AsContentRating* content_rating,
      const gchar* id,
      AsContentRatingValue value
    )

#### Description [src]

Adds an attribute value to the content rating.

Available since: 0.14.0

#### Parameters

`id`

  Type: `const gchar*`

  A content rating ID, e.g. `money-gambling`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `AsContentRatingValue`

  A `AsContentRatingValue`, e.g. `AS_CONTENT_RATING_VALUE_MODERATE`.